Subject: Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Kenichi Handa <[email-masked]>
Date: Thu, 25 Aug 2011 13:27:38 +0900

In article <[email-masked]>, Jambunathan K <[email-masked]> writes:

> Kenichi Handa <[email-masked]> writes:
> > In article <[email-masked]>, Jambunathan K <[email-masked]> writes:
> >
>>> Using input method tamil-itrans, there is no easy way to input character
>>> #xbb4.
> >
> > It seems that usually "J" or "z" is assigned for that
> > character in the Tamil itrans system, right?
> >
> > If so, please try the attached patch.  Does it work?

> The attached patch works fine.

Thank you for testing it.  I'll commit that change soon.

> I was trying tamil-itrans for the first time and I find quail-help to be
> a bit overwhelming. There are lots of characters that is displayed and
> it is difficult to find the one that I am interested in inputting. In
> some sense it is very confusing for first time user.

> I believe it would be lot more helpful if the input table for vowels and
> consonants be displayed upfront. I am attaching a table that I created
> for myself during the process. You will find that the characters are
> displayed in their natural order.

The current descriptions for *-itrans input methods are what
generated automatically from the corresponding mapping
table, so they may not be sufficient for users.  Thank you
for the suggestion.  I'll add it to the description of
tamil-itrans.  By the way, isn't it necessary to have a
column for dependent vowels?  Or, is to obvious for users
from independent vowels?

---
Kenichi Handa
[email-masked]